Help get this topic noticed by sharing it on Twitter, Facebook, or email.

MPC 2.0 update Fails to install

When I press update it says I have an older 32bit version. Which I don't understand because I thought it was 64bit that I installed. It says that my plug-ins will no longer work then it fails to update. Nick D. Can you help me out on this one? Do I need to do something with iLock?
2 people have
this problem
+1
Reply